﻿select top 1 DOW.ORDER_TYPE
FROM dbo.TB_R_DAILY_ORDER_WEB DOW with(nolock)
INNER JOIN (
	SELECT DISTINCT CREATED_DT,ORDER_TYPE,SUPPLIER_CD,SUPPLIER_PLANT,DOCK_CD,NOTICE_ID
	FROM [dbo].[TB_R_DAILY_ORDER_MANIFEST] with(nolock)
	WHERE ((MANIFEST_NO=@2 AND isnull(@2,'') <> '') or (isnull(@2,'') = '')) AND 
		((CREATED_DT BETWEEN CAST(@3 AS DATETIME) AND CAST(@4 AS DATETIME))) 
  )M ON DOW.ORDER_RELEASE_DT=M.CREATED_DT AND
		DOW.ORDER_TYPE=M.ORDER_TYPE AND
		DOW.SUPPLIER_CD=M.SUPPLIER_CD AND
		DOW.SUPPLIER_PLANT_CD=M.SUPPLIER_PLANT AND
		DOW.DOCK_CD=M.DOCK_CD
WHERE DOW.REPLY_CAPABILITY is null AND
	((DOW.[SUPPLIER_CD]=@0 AND isnull(@0,'') <> '') or (isnull(@0,'') = '')) AND
	((DOW.[DOCK_CD]=@1 AND isnull(@1,'') <> '') or (isnull(@1,'') = ''))
ORDER BY ORDER_TYPE

/*select
	'Order Release Date: ' + CONVERT(VARCHAR(8),ORDER_RELEASE_DT,112) + CHAR(13) + CHAR(10) +
	'Order Type: ' + ORDER_TYPE + CHAR(13) + CHAR(10) +
	'Supplier Code: ' + SUPPLIER_CD + CHAR(13) + CHAR(10) +
	'Supplier Plant: ' + SUPPLIER_PLANT_CD
FROM dbo.TB_R_DAILY_ORDER_WEB WHERE REPLY_CAPABILITY is null

select
	ORDER_RELEASE_DT,
	ORDER_TYPE,
	SUPPLIER_CD,
	SUPPLIER_PLANT_CD
FROM dbo.TB_R_DAILY_ORDER_WEB WHERE REPLY_CAPABILITY is null*/